##
##  gjdoc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_gjdoc  0.7.9
%define       V_antlr  3.4

#   package information
Name:         gjdoc
Summary:      Java Documentation Framework
URL:          http://www.gnu.org/software/classpath/cp-tools/
Vendor:       Classpath Project
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      LGPL
Version:      %{V_gjdoc}
Release:      20120603

#   list of sources
Source0:      ftp://ftp.gnu.org/gnu/classpath/gjdoc-%{V_gjdoc}.tar.gz
Source1:      http://www.antlr.org/download/antlr-%{V_antlr}-complete.jar
Patch0:       gjdoc.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make, gcc, gcc::with_java = yes, fastjar
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Gjdoc provides a framework for generating documentation in various
    formats from Java source files. It implements all features of the
    traditional Sun JDK javadoc(1) tool version 1.4 -- except for
    one unimplemented option (-serialwarn), it is fully command-line
    compatible and it provides a compatible Doclet API (package
    com.sun.javadoc). Gjdoc is part of the GNU Classpath Tools project.

%track
    prog gjdoc = {
        version   = %{V_gjdoc}
        url       = ftp://ftp.gnu.org/gnu/classpath/
        regex     = gjdoc-(__VER__)\.tar\.gz
    }
    prog gjdoc:antlr = {
        version   = %{V_antlr}
        url       = http://www.antlr.org/download/
        regex     = antlr-(__VER__)\.jar
    }

%prep
    %setup -q
    cp %{SOURCE antlr-%{V_antlr}-complete.jar} .
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --libdir=%{l_prefix}/libexec/gjdoc \
        --mandir=%{l_prefix}/man \
        --infodir=%{l_prefix}/info \
        --with-antlr-jar=`pwd`/antlr-%{V_antlr}-complete.jar \
        --enable-native
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    mv  $RPM_BUILD_ROOT%{l_prefix}/bin/gjdoc \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/gjdoc/gjdoc
    ( echo "#!/bin/sh"
      echo "LD_LIBRARY_PATH=\"%{l_prefix}/libexec/gjdoc:/usr/lib:/lib\""
      echo "export LD_LIBRARY_PATH"
      echo "exec %{l_prefix}/libexec/gjdoc/gjdoc \${1+\"\$@\"}"
    ) >$RPM_BUILD_ROOT%{l_prefix}/bin/gjdoc
    chmod a+x $RPM_BUILD_ROOT%{l_prefix}/bin/gjdoc
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    strip $RPM_BUILD_ROOT%{l_prefix}/libexec/gjdoc/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

